QGIS Application - Feature request #12547

Add point object via drag and drop from layer/legend pane when using categorized or gradual styles
2015-04-10 11:26 AM - Arnold Huisman

Status: Open

Priority: Normal

Assignee:

Category: Unknown

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 20689
Description

Based on the column selected in layerstyles (categorized, gradual) a legend with description is availlable in the layers pane. It would be
very usefull to be able to drag from this pane to the map canvas to add a new point, automatically selecting/setting the right column value
for the added point. When a form open the value should already be set, allowing for an easier user-process to add and edit data points. A
field might have to be added to the layerstyle for a default value to insert into the column for each category.

| have now setup a few layers with a categorized layerstyle. These are single value categories, one icon/symbol for a value. Dragging and
dropping would greatly increase productivity for point layers.

History

#1 - 2017-05-01 12:47 AM - Giovanni Manghi
- Easy fix? set to No

#2 - 2017-09-22 10:07 AM - Jiirgen Fischer
- Category set to Unknown
